| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
User Contributed/DC1962C/faultlog/faultlog.ino File Reference

Linear Technology DC1962C Demonstration Board LTC3880, LTC2974, LTC2977: Power Management Solution for Application Processors Setups for training. More...

## Detailed Description

Linear Technology DC1962C Demonstration Board LTC3880, LTC2974, LTC2977: Power Management Solution for Application Processors Setups for training.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC3880

http://www.linear.com/product/LTC2974

http://www.linear.com/product/LTC2977

http://www.linear.com/demo/DC1962C

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file User Contributed/DC1962C/faultlog/faultlog.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...

## Macros
#define | FILE_TEXT_LINE_MAX 132
#define | LTC3880_I2C_ADDRESS 0x30
#define | LTC2974_I2C_ADDRESS 0x32
#define | LTC2977_I2C_ADDRESS 0x33

## Variables
static uint8_t | ltc3880_i2c_address
static uint8_t | ltc2974_i2c_address
static uint8_t | ltc2977_i2c_address
static LT_SMBus * | smbus = new LT_SMBusPec()
static LT_PMBus * | pmbus = new LT_PMBus(smbus)
static LT_2977FaultLog * | faultLog2977 = new LT_2977FaultLog(pmbus)
static LT_2974FaultLog * | faultLog2974 = new LT_2974FaultLog(pmbus)
static LT_3880FaultLog * | faultLog3880 = new LT_3880FaultLog(pmbus)

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Returns
  void

Definition at line 107 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Returns
  void

Definition at line 244 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Returns
  void

Definition at line 230 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 95 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## Macro Definition Documentation

## ◆ FILE_TEXT_LINE_MAX

#define FILE_TEXT_LINE_MAX 132

Definition at line 75 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ LTC2974_I2C_ADDRESS

#define LTC2974_I2C_ADDRESS 0x32

Definition at line 78 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ LTC2977_I2C_ADDRESS

#define LTC2977_I2C_ADDRESS 0x33

Definition at line 79 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ LTC3880_I2C_ADDRESS

#define LTC3880_I2C_ADDRESS 0x30

Definition at line 77 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## Variable Documentation

## ◆ faultLog2974

LT_2974FaultLog* faultLog2974 = new LT_2974FaultLog(pmbus)
| static

Definition at line 90 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ faultLog2977

LT_2977FaultLog* faultLog2977 = new LT_2977FaultLog(pmbus)
| static

Definition at line 89 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ faultLog3880

LT_3880FaultLog* faultLog3880 = new LT_3880FaultLog(pmbus)
| static

Definition at line 91 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ ltc2974_i2c_address

uint8_t ltc2974_i2c_address
| static

Definition at line 83 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ ltc2977_i2c_address

uint8_t ltc2977_i2c_address
| static

Definition at line 84 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ ltc3880_i2c_address

uint8_t ltc3880_i2c_address
| static

Definition at line 82 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ pmbus

LT_PMBus* pmbus = new LT_PMBus(smbus)
| static

Definition at line 87 of file User Contributed/DC1962C/faultlog/faultlog.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusPec()
| static

Definition at line 86 of file User Contributed/DC1962C/faultlog/faultlog.ino.